<template>
  <div class='price-overview container'>
    <h2 class='base-title'>Token</h2>
    <div class='price-overview__wrap'>
      <ul class="security-tabs__header">
        <li
          key="0"
          :class='{"tab__selected": (0 === selectedIndex)}'
          @click="selectTab(0)"
        >
          {{ $t('explore') }}
        </li>
        <li
          key="1"
          :class='{"tab__selected": (1 === selectedIndex)}'
          @click="selectTab(1)"
        >
          {{ $t('overview') }}
        </li>
      </ul>
      <statistics-overview v-show='0 === selectedIndex' />
      <tbcc-overview v-show='1 === selectedIndex' />
    </div>
  </div>
</template>

<script>
import TbccOverview from './TbccOverview'
import StatisticsOverview from './StatisticsOverview'
export default {
  components: { StatisticsOverview, TbccOverview },
  data() {
    return {
      selectedIndex: 0,
    }
  },
  methods: {
    selectTab (i) {
      this.selectedIndex = i
    }
  }
}
</script>

<i18n>
{
  "en": {
    "explore": "explore",
    "overview": "Price overview"
  },
  "ch": {
    "explore": "探索",
    "overview": "价格综述"
  },
  "tur": {
    "explore": "explore",
    "overview": "Price overview"
  }
}
</i18n>

<style lang='scss' scoped>
.price-overview {
  display: flex;
  flex-direction: column;
  align-items: center;
  position: relative;
  z-index: 1;

  @media (min-width: 1024px) {
    &::before {
      content: "";
      min-width: 1440px;
      min-height: 1200px;
      background-image: url("../../assets/img/bg-price-overview.svg");
      background-repeat: no-repeat;
      background-position: center;
      background-size: cover;
      top: 220px;
      right: -120px;
      position: absolute;
      pointer-events: none;
      z-index: -1;
    }
  }

  &__wrap {
    display: flex;
    align-items: center;
    flex-direction: column;
    background-color: #DBE1F1;
    padding: 55px 60px;
    border-radius: 36px;
    width: 100%;
    min-height: 672px;

    @media (max-width: 767px) {
      border-radius: 16px;
      padding: 20px 18px;
      background: linear-gradient(180deg, #FFFFFF 0%, #D0D8F3 100%);
    }
  }
}

.base-title {
  font-weight: 700;
  font-size: 36px;
  margin: 0 0 40px;

  @media (min-width: 1024px) {
    font-size: 45px;
  }

  @media (min-width: 1200px) {
    font-size: 48px;
  }
}

ul.security-tabs__header {
  display: flex;
  list-style: none;
  margin: 0;
  padding:0;
  justify-content: flex-start;
  z-index: 1;
  max-width: 540px;
  width: 100%;
  margin-bottom: 37px;
}

.security-tabs__header {
  li {
    padding: 0 0 16px;
    margin: 0;
    text-align: center;
    cursor: pointer;
    width: 50%;
    color: #6983AB;
    font-size: 20px;
    font-weight: bold;
    position: relative;
    text-transform: uppercase;

    @media (max-width: 767px) {
      font-size: 16px;
      padding: 18px 0 16px;
    }

    &::before {
      content: "";
      position: absolute;
      bottom: -2px;
      background:  #C0C9E3;
      z-index: -1;
      height: 2px;
      left: 0;
      width: 100%;
    }
  }
}

li.tab__selected {
  color: #2B2B2B;
  position: relative;

  &::before {
    content: "";
    position: absolute;
    bottom: -2px;
    z-index: -1;
    height: 2px;
    left: 0;
    width: 100%;
    background: linear-gradient(77.9deg, #0066FF -3.83%, #2CE0C5 110.36%);
  }
}
</style>
